---
updatedAt: 2026-07-14T14:30:28.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Sweden

Sample structures of the `E_KYC_CHECK` API responses for Sweden Non-Doc Identity Verification (BankID).

# GREEN

The following response example represents successful checks.

```json
{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-07-01 10:12:12",
      "id": "gbg4570d-8431-3422-9g89-570226ac9sto",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "SWE"
      },
      "extractedDoc": {
        "country": "SWE",
        "number": "8809277314",
        "tin": "8809277314",
        "firstName": "Joakim",
        "lastName": "Sumsubsson",
        "dob": "1988-09-27",
        "additionalFields": [
          {
            "name": "levelOfAssurance",
            "value": "SUBSTANTIAL"
          },
          {
            "name": "bank",
            "value": "Testbank AB"
          },
          {
            "name": "distinguishedName",
            "value": "CN=Joakim Sumsubsson, OID.2.5.4.41=(260701 10.10) Joakim Sumsubsson - Mobilt BankID, SERIALNUMBER=8809277314, GIVENNAME=Joakim, SURNAME=Sumsubsson, O=Testbank AB, C=SE"
          },
          {
            "name": "certificate",
            "value": "MIIFVzCCAz+gAwIBAgIIOzYir0M/FeIH7lo+LmW3xo..."
          },
          {
            "name": "ocsp",
            "value": "MIIHgAoBAKCCB3kwgwmMIIs2xTVFvLc/UZmEzBjQUHFuR/bDw..."
          }
        ]
      },
      "ekycCheckInfo": {
        "confirmationId": "SW8zHi3Lt7ZQMhHw78EOoai9",
        "confirmationType": "oAuth"
      }
    }
  ]
}
```

# YELLOW

The following example represents a case where the verification process is still in progress, and the applicant has not yet completed all required steps.

```json
{
  "checks": [
    {
      "answer": "YELLOW",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-07-01 10:12:12",
      "id": "gbg4570d-8431-3422-9g89-570226ac9sto",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "SWE"
      },
      "ekycCheckInfo": {
        "confirmationId": "SW8zHi3Lt7ZQMhHw78EOoai9",
        "confirmationType": "oAuth"
      }
    }
  ]
}
```

# ERROR

The following example represents a case when an error occurred during the check.

```json
{
  "checks" : [ {
    "answer" : "ERROR",
    "checkType" : "E_KYC_CHECK",
    "createdAt" : "2026-07-01 10:12:12",
    "id" : "gbg4570d-8431-3422-9g89-570226ac9sto",
    "inputDoc" : {
      "idDocType" : "OTHER",
      "country" : "SWE",
    },
    "ekycCheckInfo" : { }
  } ]
}
```

<Callout icon="📘" theme="info">
  ### Note

  In production, `ERROR` outputs are very rare for this eID due to its extremely high acceptance rate, which is close to 100%.
</Callout>

# Response explained

## Root variables

The root variables are the core Non-Doc check result data items. Some of them may include nested attributes and element fields.

| Field           | Type                                | Description                                                                                                                                                                                                                                           |
| :-------------- | :---------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`            | String                              | Unique identifier of the check.                                                                                                                                                                                                                       |
| `answer`        | String                              | Check answer:<ul><li><code>GREEN</code> — the check has passed successfully. Data found in the database.</li><li><code>YELLOW</code> — verification process is not yet complete. We await the applicant's completion of the required steps.</li></ul> |
| `checkType`     | String                              | Indicates that it is a `E_KYC_CHECK` check type.                                                                                                                                                                                                      |
| `createdAt`     | Date                                | Date and time (UTC) of the latest Non-Doc check result, in the format `YYYY-MM-DD hh:mm:ss` (for example, `2024-07-07 17:23:43`).                                                                                                                     |
| `inputDoc`      | [Object](#inputdoc-attributes)      | Represents the data used for the database check.                                                                                                                                                                                                      |
| `extractedDoc`  | [Object](#extracteddoc-attributes)  | External check source data. It may not be present if the data is not received.                                                                                                                                                                        |
| `ekycCheckInfo` | [Object](#ekyccheckinfo-attributes) | Contains information related to the eKYC confirmation process.                                                                                                                                                                                        |

## `inputDoc` attributes

The following table explains the `inputDoc` attributes representing the data taken from the provided document.

| Field       | Type   | Description                                                                                                            |
| :---------- | :----- | :--------------------------------------------------------------------------------------------------------------------- |
| `idDocType` | String | Type of the document provided for verification. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT`, `DRIVERS`. |
| `country`   | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                               |

## `extractedDoc` attributes

The `extractedDoc` object includes the data obtained from the external source during the `E_KYC_CHECK` check.

| Field              | Type                                                 | Description                                                                                                  |
| :----------------- | :--------------------------------------------------- | :----------------------------------------------------------------------------------------------------------- |
| `country`          | String                                               | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                     |
| `number`           | String                                               | Personnummer (SSN/TIN).                                                                                      |
| `tin`              | String                                               | Personnummer (SSN/TIN). Equal to the value of the `number`.                                                  |
| `firstName`        | String                                               | Applicant first name.                                                                                        |
| `lastName`         | String                                               | Applicant last name.                                                                                         |
| `dob`              | Date                                                 | Applicant date of birth (format `YYYY-mm-dd`, for example, `2001-09-25`) as it is specified in the document. |
| `additionalFields` | [Array of objects](#additionalfields-element-fields) | A collection of key-value pairs, representing additional information about the applicant.                    |

## `additionalFields` element fields

An array of key-value (name-value) pairs providing non-standard additional information.&#x20;

Example:

```json
{
  "name": "levelOfAssurance",
  "value": "SUBSTANTIAL"
}
```

The following table explains some of the possible keys.

| Key                 | Value type | Value description                                                                                                                   |
| :------------------ | :--------- | :---------------------------------------------------------------------------------------------------------------------------------- |
| `levelOfAssurance`  | String     | Level of Assurance: <code>SUBSTANTIAL</code>                                                                                        |
| `bank`              | String     | Name of the applicant's bank.                                                                                                       |
| `distinguishedName` | String     | Certificate subject details received from BankID, including the applicant’s name, serial number, issuing organization, and country. |
| `certificate`       | String     | BankID authentication certificate encoded as a Base64 string.                                                                       |
| `ocsp`              | String     | OCSP certificate status response encoded as a Base64 string.                                                                        |

## `ekycCheckInfo` attributes&#x20;

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>
      <th>
        Type
      </th>
      <th>
        Description
      </th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        `confirmationId`
      </td>
      <td>
        String
      </td>
      <td>
        Unique identifier of the eKYC confirmation session.
      </td>
    </tr>
    <tr>
      <td>
        `confirmationType`
      </td>
      <td>
        String
      </td>
      <td>
        Indicates the eKYC confirmation type, if available.
        For example, `oAuth` means that Non-Doc verification is confirmed using an OAuth-based authentication flow with an external identity provider (bank account, national digital identification system, and so on).
      </td>
    </tr>
  </tbody>
</Table>

<br />